Opened 13 years ago

Closed 12 years ago

#2563 closed defect (duplicate)

LiveTV freeze when show ends

Reported by: geoffp@… Owned by: Isaac Richards
Priority: minor Milestone: unknown
Component: mythtv Version: 0.20
Severity: medium Keywords:
Cc: dscoular@…, mythtv@… Ticket locked: no

Description

When watching live TV, mythfrontend very often freezes when transitioning from one program to the next. Hitting escape a few times gets you back into the menu.

I'm on a PVR150, ivtv 0.7.0, kernel 2.6.17 (gentoo), running 0.20-fixes, svn-11497. A frontend log is attached.

Attachments (1)

livetvfreeze-frontend.log.txt (37.1 KB) - added by geoffp@… 13 years ago.
Live TV "freeze on program change" frontend log

Download all attachments as: .zip

Change History (31)

Changed 13 years ago by geoffp@…

Live TV "freeze on program change" frontend log

comment:1 Changed 13 years ago by geoffp@…

Let me know if you need anything else.

comment:2 Changed 13 years ago by dscoular@…

Cc: dscoular@… added
Summary: PVR-150: LiveTV freeze when show endsLiveTV freeze when show ends

Hi All, I'm also seeing this in 0.20-fixes rev 11496 but for my DVB tuner (a nova-t). The picture just freezes at the hour or half our mark when a program has just ended.

As noted by the original poster... I can get back to the menu system by hitting escape.

Let me know if you need a verbose log of this behaviour...

Cheers,

Doug

comment:3 Changed 13 years ago by geoffp@…

I suppose it may also be worth nothing that my kernel is configured with "low-latency desktop" preemption, and to preempt the big kernel lock. My frontend is running with realtime priority.

comment:4 Changed 13 years ago by dscoular@…

Hi All,

Here's what I'm seeing in the mythfrontend log when this happens:

2006-10-15 10:59:58.614 NVP: 42400 interlaced frames seen.
'video_output' mean = '39957.81', std. dev. = '2688.38', fps = '25.03'
2006-10-15 11:00:00.895 LiveTVChain(live-spug-2006-10-15T09:57:39): ReloadAll(): Added new recording
2006-10-15 11:00:00.895 Resyncing position map. posmapStarted = 0 livetv(1) watchingRec(0)
2006-10-15 11:00:01.057 Position map filled from DB to: 42445
2006-10-15 11:00:01.057 SyncPositionMap watchingrecording, from DB: 3538 entries2006-10-15 11:00:01.058 SyncPositionMap watchingrecording no entries from encoder, try DB
2006-10-15 11:00:01.118 Position map filled from DB to: 42481
2006-10-15 11:00:01.119 SyncPositionMap watchingrecording total: 3541 entries
2006-10-15 11:00:01.119 SyncPositionMap, new totframes: 42481, new length: 1699, posMap size: 3541
2006-10-15 11:00:01.689 LiveTVChain(live-spug-2006-10-15T09:57:39): SwitchTo(3)
2006-10-15 11:00:01.690 LiveTVChain(live-spug-2006-10-15T09:57:39): Entry@3: '1111_20061015110000'
2006-10-15 11:00:01.724 NVP: IsReallyNearEnd() br(1314KB) fps(24) sz(0KB) vfl(4) frh(0) ne:1
2006-10-15 11:00:01.797 SwitchToProgram(void)
2006-10-15 11:00:01.809 RingBuf(/mnt/store//1111_20061015103140.mpg): OpenFile(myth://192.168.200.3:6543/1111_20061015110000.mpg, 10)
2006-10-15 11:00:01.810 RingBuf(/mnt/store//1111_20061015110000.mpg): CalcReadAheadThresh(4000 KB)
                         -> threshhold(146 KB) min read(32 KB) blk size(64 KB)
2006-10-15 11:00:01.810 Ignoring livetv eof in decoder loop
2006-10-15 11:00:01.831 NVP: prebuffering pause
2006-10-15 11:00:01.831 NVP: Waiting for prebuffer.. 0 AAAAAAAAAAAAAAAuAAAAAAAAAaLAAAA
2006-10-15 11:00:01.865 Ignoring livetv eof in decoder loop
2006-10-15 11:00:01.921 Ignoring livetv eof in decoder loop
2006-10-15 11:00:01.977 Ignoring livetv eof in decoder loop
2006-10-15 11:00:01.997 NVP: Waiting for prebuffer.. 1 AAAAAAAAAAAAAAAuAAAAAAAAAaLAAAA
2006-10-15 11:00:02.033 Ignoring livetv eof in decoder loop
2006-10-15 11:00:02.090 Ignoring livetv eof in decoder loop
2006-10-15 11:00:02.145 Ignoring livetv eof in decoder loop

The "NVP: Waiting for prebuffer..." and "Ignoring livetv eof in decoder" messages continue in a loop and the video frame remains frozen on the screen. If I wait till the next program change the looping message changes to:

2006-10-15 11:30:01.189 NVP: Prebuffer wait timed out 10 times.
2006-10-15 11:30:01.189 NVP: Waiting for prebuffer.. 0 AAAAAAAAAAAAAAAuAAAAAAAAAaLAAAA
2006-10-15 11:30:01.201 Ignoring livetv eof in decoder loop
2006-10-15 11:30:01.228 LiveTVChain(live-spug-2006-10-15T09:57:39): ReloadAll(): Added new recording
2006-10-15 11:30:01.228 Resyncing position map. posmapStarted = 0 livetv(1) watchingRec(0)
2006-10-15 11:30:01.228 SyncPositionMap watchingrecording, from DB: 3541 entries2006-10-15 11:30:01.228 SyncPositionMap watchingrecording no entries from encoder, try DB
2006-10-15 11:30:01.229 SyncPositionMap watchingrecording total: 3541 entries
2006-10-15 11:30:01.257 LiveTV forcing JumpTo 1
2006-10-15 11:30:01.257 LiveTVChain(live-spug-2006-10-15T09:57:39): SwitchTo(4)
2006-10-15 11:30:01.257 LiveTVChain(live-spug-2006-10-15T09:57:39): Entry@4: '1111_20061015113000'

I can exit back to the menu when I hit ESC. Hope this helps, I would have attached the logfile but it's 570MB! Let me know if you need any more details.

Cheers,

Doug

comment:5 Changed 13 years ago by richard_runds@…

Hi,

I'm experiencing exactly the same problem. I am running FC4 with the latest 0.20 from ATrpms (0.20-140.fc4) and ivtv-kmdl-2.6.17-1.2142_FC4smp-0.7.1-118.

The frontend log:

[...]

2006-10-09 22:30:00.641 NVP: A/V Divergence: -0.00015, Rate: 5e-05, Warpfactor: 0.999271, warpfactor_avg: 0.999271
2006-10-09 22:30:00.641 AO: audio waiting for space on soundcard: have 2104 need 6144
2006-10-09 22:30:00.649 AO: audio waiting for space on soundcard: have 3684 need 6144
2006-10-09 22:30:00.656 MythSocket(b7c1d338:23): socket is readable
2006-10-09 22:30:00.657 MythSocket(b7c1d338:23): cb->readyRead()
2006-10-09 22:30:00.657 read  <- 23 51      BACKEND_MESSAGE[]:[]RECORDING_LIST_CHANGE[]:[]empty
2006-10-09 22:30:00.661 AO: audio waiting for space on soundcard: have 5948 need 6144
2006-10-09 22:30:00.665 MythSocket(b7c1d338:23): socket is readable
2006-10-09 22:30:00.665 MythSocket(b7c1d338:23): cb->readyRead()
2006-10-09 22:30:00.665 read  <- 23 78      BACKEND_MESSAGE[]:[]LIVETV_CHAIN UPDATE live-pvr-2006-10-09T22:27:30[]:[]empty
2006-10-09 22:30:00.669 AO: Broadcasting free space avail
2006-10-09 22:30:00.670 WriteAudio: Preparing 6144 bytes (1536 frames)
2006-10-09 22:30:00.670 AO: audio waiting for space on soundcard: have 1416 need 6144
2006-10-09 22:30:00.674 MSqlQuery: SELECT chanid, starttime, endtime, discontinuity, chainpos, hostprefix, cardtype, channame, input FROM tvchain WHERE chainid = 'live-p
vr-2006-10-09T22:27:30' ORDER BY chainpos;
2006-10-09 22:30:00.681 NVP: A/V Divergence: -0.0001, Rate: 5e-05, Warpfactor: 0.999271, warpfactor_avg: 0.999271
2006-10-09 22:30:00.681 AO: audio waiting for space on soundcard: have 3656 need 6144
2006-10-09 22:30:00.689 MythSocket(b7c1d338:23): socket is readable
2006-10-09 22:30:00.689 MythSocket(b7c1d338:23): cb->readyRead()
2006-10-09 22:30:00.689 read  <- 23 78      BACKEND_MESSAGE[]:[]LIVETV_CHAIN UPDATE live-pvr-2006-10-09T22:27:30[]:[]empty
2006-10-09 22:30:00.693 AO: audio waiting for space on soundcard: have 5932 need 6144
2006-10-09 22:30:00.701 AO: Broadcasting free space avail
2006-10-09 22:30:00.702 WriteAudio: Preparing 6144 bytes (1536 frames)
2006-10-09 22:30:00.702 AO: audio waiting for space on soundcard: have 1424 need 6144
2006-10-09 22:30:00.703 MSqlQuery: SELECT chanid, starttime, endtime, discontinuity, chainpos, hostprefix, cardtype, channame, input FROM tvchain WHERE chainid = 'live-p
vr-2006-10-09T22:27:30' ORDER BY chainpos;
2006-10-09 22:30:00.704 LiveTVChain(live-pvr-2006-10-09T22:27:30): ReloadAll(): Added new recording
2006-10-09 22:30:00.704 Resyncing position map. posmapStarted = 0 livetv(1) watchingRec(0)
2006-10-09 22:30:00.705 MSqlQuery: SELECT mark, offset FROM recordedseek WHERE chanid = '1045' AND starttime = '2006-10-09T22:29:25' AND type = 6 ;
2006-10-09 22:30:00.706 Position map filled from DB to: 76
2006-10-09 22:30:00.706 SyncPositionMap watchingrecording, from DB: 76 entries
2006-10-09 22:30:00.706 SyncPositionMap watchingrecording no entries from encoder, try DB
2006-10-09 22:30:00.707 MSqlQuery: SELECT mark, offset FROM recordedseek WHERE chanid = '1045' AND starttime = '2006-10-09T22:29:25' AND type = 6 ;
2006-10-09 22:30:00.708 Position map filled from DB to: 76
2006-10-09 22:30:00.709 SyncPositionMap watchingrecording total: 76 entries
2006-10-09 22:30:00.709 SyncPositionMap, new totframes: 912, new length: 36, posMap size: 76
2006-10-09 22:30:00.713 AO: audio waiting for space on soundcard: have 3632 need 6144
2006-10-09 22:30:00.721 AO: audio waiting for space on soundcard: have 5176 need 6144
2006-10-09 22:30:00.722 NVP: A/V Divergence: -0.012575, Rate: -0.012475, Warpfactor: 0.999071, warpfactor_avg: 0.999271
2006-10-09 22:30:00.733 AO: Broadcasting free space avail
2006-10-09 22:30:00.733 WriteAudio: Preparing 6144 bytes (1536 frames)
2006-10-09 22:30:00.733 AO: audio waiting for space on soundcard: have 1392 need 6144
2006-10-09 22:30:00.745 AO: audio waiting for space on soundcard: have 3664 need 6144
2006-10-09 22:30:00.746 AFD: video timecode 13352436 13341636 148240 148140
2006-10-09 22:30:00.747 AFD: audio timecode 13332612 13332612 148140 148164

[...cut audio messages...]

2006-10-09 22:30:00.842 AFD: audio timecode 13349892 13349892 148332 148356
2006-10-09 22:30:00.843 AO: _AddSamples bytes=4608, used=139885, free=628115, timecode=148332
2006-10-09 22:30:00.843 AO: audio waiting for space on soundcard: have 3936 need 6144
2006-10-09 22:30:00.853 AO: audio waiting for space on soundcard: have 5984 need 6144
2006-10-09 22:30:00.859 MythSocket(b7c1d338:23): socket is readable
2006-10-09 22:30:00.859 MythSocket(b7c1d338:23): cb->readyRead()
2006-10-09 22:30:00.859 read  <- 23 46      BACKEND_MESSAGE[]:[]LIVETV_WATCH 1 0[]:[]empty
2006-10-09 22:30:00.865 AO: Broadcasting free space avail
2006-10-09 22:30:00.865 WriteAudio: Preparing 6144 bytes (1536 frames)
2006-10-09 22:30:00.865 AO: audio waiting for space on soundcard: have 2144 need 6144
2006-10-09 22:30:00.877 AO: audio waiting for space on soundcard: have 4404 need 6144
2006-10-09 22:30:00.878 AFD: audio timecode 13352052 13352052 148356 148380

[... cut audio messages...]

2006-10-09 22:30:01.429 AO: audio waiting for space on soundcard: have 5992 need 6144
2006-10-09 22:30:01.437 AO: Broadcasting free space avail
2006-10-09 22:30:01.437 WriteAudio: Preparing 6144 bytes (1536 frames)
2006-10-09 22:30:01.437 AO: audio waiting for space on soundcard: have 1380 need 6144
2006-10-09 22:30:01.441 NVP: A/V Divergence: -0.00035, Rate: 0.000125, Warpfactor: 0.99927, warpfactor_avg: 0.999271
2006-10-09 22:30:01.446 AO: audio waiting for space on soundcard: have 3016 need 6144
2006-10-09 22:30:01.448 MythSocket(b7c1d338:23): socket is readable
2006-10-09 22:30:01.448 MythSocket(b7c1d338:23): cb->readyRead()
2006-10-09 22:30:01.448 read  <- 23 78      BACKEND_MESSAGE[]:[]LIVETV_CHAIN UPDATE live-pvr-2006-10-09T22:27:30[]:[]empty
2006-10-09 22:30:01.457 AO: audio waiting for space on soundcard: have 5196 need 6144
2006-10-09 22:30:01.463 MSqlQuery: SELECT chanid, starttime, endtime, discontinuity, chainpos, hostprefix, cardtype, channame, input FROM tvchain WHERE chainid = 'live-p
vr-2006-10-09T22:27:30' ORDER BY chainpos;
2006-10-09 22:30:01.465 AO: Broadcasting free space avail
2006-10-09 22:30:01.465 WriteAudio: Preparing 6144 bytes (1536 frames)
2006-10-09 22:30:01.465 AO: audio waiting for space on soundcard: have 632 need 6144
2006-10-09 22:30:01.470 AFD: audio timecode 13390932 13390932 148788 148812
2006-10-09 22:30:01.470 AO: _AddSamples bytes=4608, used=104557, free=663443, timecode=148788
2006-10-09 22:30:01.475 AFD: video timecode 13402836 13402836 148920 148812
2006-10-09 22:30:01.476 AFD: audio timecode 13393092 13393092 148812 148836
2006-10-09 22:30:01.476 AO: _AddSamples bytes=4608, used=109165, free=658835, timecode=148812
2006-10-09 22:30:01.476 AFD: audio timecode 13395252 13395252 148836 148860
2006-10-09 22:30:01.476 AO: _AddSamples bytes=4608, used=113773, free=654227, timecode=148836
2006-10-09 22:30:01.477 AO: audio waiting for space on soundcard: have 2900 need 6144
[... cut audio messages...]
2006-10-09 22:30:01.841 AO: audio waiting for space on soundcard: have 5220 need 6144
2006-10-09 22:30:01.849 AO: Broadcasting free space avail
2006-10-09 22:30:01.849 WriteAudio: Preparing 6144 bytes (1536 frames)
2006-10-09 22:30:01.849 AO: audio waiting for space on soundcard: have 628 need 6144
2006-10-09 22:30:01.857 LiveTVChain(live-pvr-2006-10-09T22:27:30): SwitchTo(2)
2006-10-09 22:30:01.857 AO: audio waiting for space on soundcard: have 2136 need 6144
2006-10-09 22:30:01.857 LiveTVChain(live-pvr-2006-10-09T22:27:30): Entry@2: '1045_20061009223000'
2006-10-09 22:30:01.865 AO: audio waiting for space on soundcard: have 3692 need 6144
2006-10-09 22:30:01.866 AFD: video timecode 13413636 13413636 149040 148956
2006-10-09 22:30:01.866 NVP: IsReallyNearEnd() br(500KB) fps(24) sz(0KB) vfl(19) frh(0) ne:1
2006-10-09 22:30:01.866 SwitchToProgram(void)
2006-10-09 22:30:01.867 MSqlQuery: SELECT recorded.chanid,starttime,endtime,title, subtitle,description,channel.channum, channel.callsign,channel.name,channel.commfree,
channel.outputfilters,seriesid,programid,filesize, lastmodified,stars,previouslyshown,originalairdate, hostname,recordid,transcoder,playgroup, recorded.recpriority,progs
tart,progend,basename,recgroup FROM recorded LEFT JOIN channel ON recorded.chanid = channel.chanid WHERE recorded.chanid = '1045' AND starttime = '2006-10-09T22:30:00' ;
2006-10-09 22:30:01.868 MSqlQuery: SELECT commflagged, cutlist, autoexpire, editing, bookmark, stereo, closecaptioned, hdtv FROM recorded LEFT JOIN recordedprogram ON (r
ecorded.chanid = recordedprogram.chanid AND recorded.starttime = recordedprogram.starttime) WHERE recorded.chanid = '1045' AND recorded.starttime = '2006-10-09T22:30:00'
;
2006-10-09 22:30:01.869 MSqlQuery: DELETE FROM inuseprograms WHERE chanid = '1045' AND starttime = '2006-10-09T22:29:25' AND hostname = 'pvr' AND recusage = 'player' ;
2006-10-09 22:30:01.869 write -> 26 33      MESSAGE[]:[]RECORDING_LIST_CHANGE
2006-10-09 22:30:01.869 read  <- 26 2       OK
2006-10-09 22:30:01.870 MythSocket(b7c1d338:23): socket is readable
2006-10-09 22:30:01.870 MythSocket(b7c1d338:23): cb->readyRead()
2006-10-09 22:30:01.870 read  <- 23 51      BACKEND_MESSAGE[]:[]RECORDING_LIST_CHANGE[]:[]empty
2006-10-09 22:30:01.870 MSqlQuery: DELETE FROM inuseprograms WHERE chanid = '1045' AND starttime = '2006-10-09T22:30:00' AND hostname = 'pvr' AND recusage = 'player' ;
2006-10-09 22:30:01.871 MSqlQuery: INSERT INTO inuseprograms  (chanid, starttime, recusage, hostname, lastupdatetime)  VALUES  ('1045', '2006-10-09T22:30:00', 'player',
'pvr', '2006-10-09T22:30:01');
2006-10-09 22:30:01.871 write -> 26 33      MESSAGE[]:[]RECORDING_LIST_CHANGE
2006-10-09 22:30:01.871 MythSocket(b7c1d338:23): socket is readable
2006-10-09 22:30:01.871 MythSocket(b7c1d338:23): cb->readyRead()
2006-10-09 22:30:01.871 read  <- 23 51      BACKEND_MESSAGE[]:[]RECORDING_LIST_CHANGE[]:[]empty
2006-10-09 22:30:01.872 read  <- 26 2       OK
2006-10-09 22:30:01.873 RingBuf(/var/mythtv/recordings/1045_20061009222925.mpg): OpenFile(myth://192.168.0.4:6543/1045_20061009223000.mpg, 10)
2006-10-09 22:30:01.874 RingBuf(/var/mythtv/recordings/1045_20061009223000.mpg): CalcReadAheadThresh(4000 KB)
                         -> threshhold(146 KB) min read(32 KB) blk size(64 KB)
2006-10-09 22:30:01.874 Ignoring livetv eof in decoder loop
2006-10-09 22:30:01.877 AO: audio waiting for space on soundcard: have 5980 need 6144
2006-10-09 22:30:01.881 NVP: A/V Divergence: -0.000325, Rate: 0.000125, Warpfactor: 0.99927, warpfactor_avg: 0.999271
2006-10-09 22:30:01.885 AO: Broadcasting free space avail
2006-10-09 22:30:01.885 WriteAudio: Preparing 6144 bytes (1536 frames)
2006-10-09 22:30:01.886 AO: audio waiting for space on soundcard: have 1444 need 6144
2006-10-09 22:30:01.897 AO: audio waiting for space on soundcard: have 3684 need 6144
2006-10-09 22:30:01.909 AO: audio waiting for space on soundcard: have 5980 need 6144
2006-10-09 22:30:01.917 AO: Broadcasting free space avail
[...]

The backend log:

[...]

2006-10-09 22:30:00.674 Finished recording EastEnders: channel 1045
0: start_time: 10.076 duration: 3.287
1: start_time: 10.062 duration: 3.277
stream: start_time: 111.804 duration: 36.676 bitrate=10166 kb/s
2006-10-09 22:30:00.722 AFD: Opened codec 0x9946250, id(MPEG2VIDEO) type(Video)
2006-10-09 22:30:00.732 AFD: Opened codec 0x991f480, id(MP2) type(Audio)
2006-10-09 22:30:00.849 TVRec(1): Enabling Full LiveTV UI.
2006-10-09 22:30:01.425 TVRec(1): RingBufferChanged()
2006-10-09 22:30:01.456 Finished recording EastEnders: channel 1045
2006-10-09 22:30:15.004 TVRec(1): Changing from WatchingLiveTV to None
2006-10-09 22:30:15.213 Finished recording Spooks: channel 1045
2006-10-09 22:30:17.214 MainServer::HandleAnnounce Playback
2006-10-09 22:30:17.235 adding: pvr as a client (events: 0)
2006-10-09 22:30:17.238 TVRec(1): Changing from None to WatchingLiveTV
2006-10-09 22:30:17.252 TVRec(1): HW Tuner: 1->1
2006-10-09 22:30:18.291 ret_pid(5269) child(5269) status(0x0)
2006-10-09 22:30:18.292 External Tuning program exited with no error
2006-10-09 22:30:27.022 ret_pid(5277) child(5277) status(0x0)
2006-10-09 22:30:27.026 External Tuning program exited with no error
2006-10-09 22:30:27.031 Finished recording Spooks: channel 1045
2006-10-09 22:30:27.090 Finished recording Spooks: channel 1045
0: start_time: 0.036 duration: 0.587
1: start_time: 0.025 duration: 0.588
stream: start_time: 0.276 duration: 6.644 bitrate=11086 kb/s
2006-10-09 22:30:27.127 AFD: Opened codec 0xb275b460, id(MPEG2VIDEO) type(Video)
2006-10-09 22:30:27.142 AFD: Opened codec 0xb275b850, id(MP2) type(Audio)
2006-10-09 22:30:27.184 TVRec(1): RingBufferChanged()
2006-10-09 22:30:27.203 Finished recording Spooks: channel 1045
2006-10-09 22:30:39.923 Expiring Russell Brand's 1 Leicester Square from Mon Oct 9 22:00:00 2006, 135 MBytes, forced expire (LiveTV recording)
2006-10-09 22:32:40.067 Expiring EastEnders from Mon Oct 9 22:00:00 2006, 45 MBytes, forced expire (LiveTV recording)
2006-10-09 22:32:40.068 Expiring Spooks from Mon Oct 9 22:30:00 2006, 17 MBytes, forced expire (LiveTV recording)
2006-10-09 22:32:40.070 Expiring Spooks from Mon Oct 9 22:30:00 2006, 8 MBytes, forced expire (LiveTV recording)

[...]

Best Regards,

Richard

comment:6 Changed 13 years ago by j_news@…

I'm having this problem as well, except I saw this same problem (at least it appears to be the same) with both .19 and .20 on two different machines one a P4 3Gig and the second on a 4400 using kernel 2.6.16 and ivtv 6.3 and kernel 2.6.17 with ivtv 7.0. This is with using both raid10 and a single disk for my recordings.

If there is any information that I can provide please let me know. But my logs look exactly like Doug's above.

Jeff

comment:7 Changed 13 years ago by peter@…

This is another 'me too'. I didn't check the logs but was monitoring the time while watching live TV. At the exact program change time there was either a hickup or playback froze completely. Hitting the back button would take me back to the menu.

Athlon64 3200+, PVR-250 Gentoo mythtv-0.20_p11444, ivtv 7.0, gentoo-sources-2.6.17-r8

Peter

comment:8 Changed 13 years ago by dgriffith@…

Me too, but only with my DVB-T card. My analog tuner doesn't seem to do it.

Rather annoying with a particular channel during "kids time" when there's a heap of 5 minute programs. Can't pin it down to a version, but it's in .20-fixes and SVN. Didn't see this issue in .19

I don't have verbose logs on, but I get a lot of:

2006-10-31 17:34:12.599 NVP: Prebuffer wait timed out 10 times.

kind of messages.

comment:9 Changed 13 years ago by dscoular@…

Hi All, And just to let the developers know this happens pretty much everytime a live-tv show ends.

Cheers,

Doug

comment:10 Changed 13 years ago by andy@…

Same symptoms and happens about once a day on my DVB-T channels.

comment:11 Changed 13 years ago by anonymous

OK, running with xvmc seems to fix it for me - it's made it through about 10 program changes on DVB-T so far.

comment:12 Changed 13 years ago by Miwer

Cc: mythtv@… added

I think this ticket is a duplicate of #2335 which was created two months ago...

I will post my log files there, and hopefully somebody will be able to fix this soon. Allthough it doesn't freeze every time, it happens often enough (several times a day) to be quite annoying.

comment:13 Changed 13 years ago by Karl Royer

Im seeing this on 0.20 with patches. Also seems to freeze when second card starts recording. Lots of freezes on frontend when cards busy.

comment:14 Changed 13 years ago by micha@…

Sorry, just a me too: I'm on a PVR500, ivtv 0.7.0, kernel 2.6.17-r8 (gentoo), running 0.20-fixes, svn-11533. GeForce4 MX 4000, NVIDIA Linux x86_64 Kernel Module 1.0-8774

comment:15 Changed 13 years ago by josesuarez1983

Another me too. Sorry. I'm running an AMD Athlon 3500+, 64bit-Debian Sid, stock Debian kernel 2.6.18 with cvs v4l-dvb modules installed, Avermedia 777 DVB-T TV Card (TV card works flawlessly on other programs, such as kaffeine), nVidia 9629 drivers (happened too with 8776), XVMC on, running mythbackend and mythfrontend 0.20.20061112-1 version (about svn-11720, more or less). What has happened to me at least three times (one of them with nVidia 9629) is that LiveTV hangs while watching an MTV-like tv station during a videoclip change. Not on every change, but on some of them. The only way I could get out of the LiveTV frozen image was by Ctrl+Alt+Esc killing mythfrontend. Hope this helps.

comment:16 Changed 12 years ago by linux@…

I also have similar problems. I do not know if it is the exact same problem as mentioned here: The problem I see is that liveTV freezes. Mostly after 10-30 minutes viewing time. It only happens on encrypted channels for which I have a LEGAL CAM and Smartcard. Further investigating this, learned me that after a certain amount of time between 10 and 30 minutes e.g., the MPEG stream falls back from decrypted to encrypted, disabling the frontend from viewing the videostream. This results in forcing me to press ESC to go back to the main-screen, and reopening the same channel. Similar things happen during recording.

In my case it seems that the CAM needs to be programmed periodically to unlock the channel being viewed. This currently only seem to happen once during starting a new session. Does this need to be done by the driver, or by MythTV?

I use a Skystar 1-CI (alias Twinhan VP1030) adapter on a Core-2-Duo (E6600, 2.4GHz) system, Asus P5B motherboard with FC6.

comment:17 Changed 12 years ago by micha@…

For the last two comments. That doesn't seem to be the same problem. The problems I have are related to program changes and not to videoclip changes or encryption problems. My problems are not time related, but only happen on program changes.

comment:18 Changed 12 years ago by danielk

linux@…, can you open a seperate ticket for your problem? It should be solvable more easily than the generic problem reported in this ticket.

comment:19 Changed 12 years ago by Remy Bohmer (linux@…

I have investigated my problem some more. My problem also occured while using only: dvbstream, ca_zap, szap. So, it is not MythTV related, but probably DVB kernel driver related.

After replacing my original 'Canal-Digitaal'-CAM with an 'XCam-Orion'-CAM, the problem was gone. It first sounded like a hardware problem, but the strange thing is that the problem configuration works properly on Windows. Probably the Windows DVB drivers do something different than the Linux DVB drivers.

So, for me the problem is solved, and I do not see a reason anymore to create a new ticket for this problem...

comment:20 Changed 12 years ago by CHRONiK

Hello

I have this problem. Freezes EXACTLY on program end/start. Ie. If I start watching livetv at 7.05 it will freeze at 7.30 for 30min program. If I watch a 1hr program starting at 8.15 it will freeze at 9.30pm. Lots of eof errors when viewing -v playback and prebuffer messages when just running mythfrontend from command line. Still captures to hard disk as space is being chewed up.

I have a P4 3.0ghz, 1gig ram, i875, dvico dual card (built in second usb tuner), nvidia 6600 using 9631 drivers, FC5, latest myth0.20 packages for Fedora. I recently did full update to my 0.20 box (packages, nvidia drivers, kernel, etc) I built in Sep/Oct06 to rectify tearing video performance issues with the 8776 drivers. Seems I have fixed the video performance issues, but now I have this problem! Argh!

I have tried mucking around with nvidia-settings, playback settings in mythtv. Nothing makes a difference, occurs on BOTH tuners which use slightly different drivers cx88 and cx88_dvb usb drivers.

comment:21 Changed 12 years ago by t33t@…

Little notice(Thanks to CHRONiCK) if using XVMC there is no LiveTV freeze. I'm using SVN build: 0.20_p12376 under gentoo. CPU AMD Sempron 3400+ VGA: Geforce 5600 Nvidia Driver: 1.0.9631

comment:22 Changed 12 years ago by t33t@…

Sry, forgot to mention tuners i'm using are PVR-150 and PVR-350. IVTV driver 0.91.

comment:23 Changed 12 years ago by t33t@…

I have made some observations: http://www.mythtvtalk.com/forum/viewtopic.php?p=19561#19561

At some point i got my livetv working flawlessly, but after updating general packages, all came pack.

I posted package list under mythtvtalk forum.

Hope it helps to solve the problem!

comment:24 Changed 12 years ago by anonymous

This looks like the very issue I have been having and the same as ticket #2335. I have solved the issue for myself by tuning the mysql server. Have a look at this http://mythtv.org/pipermail/mythtv-commits/2007-April/027549.html. I bet it helps this situation. LiveTV produces alot of sql queeries for seek positions in mythbackend.

comment:25 Changed 12 years ago by micha@…

I've been fiddling with mysql settings, but it doesn't help for me.

comment:26 Changed 12 years ago by dscoular@…

Hi All, Just a note to say that I don't think this is specific to analogue or DVB-T recordings or HD or mysql setting or kernel version.

I still get the freezes every time a program end/begin border is crossed and I've done so on kernel's 2.6.15 up to and including 2.6.20. I have mysql on a seperate disk from my recordings and I'm only using DVB-T Standard Definition.

I regularily install mythtv-fixes 0.20 to see if there's any joy... but no.

Any detailed thoughts on why this could be happening ?

Cheers,

Doug

comment:27 Changed 12 years ago by eric.bosch@…

I am running current SVN code, Revision 13828. I am still experiencing this issue, but have done a little more debug work. I will attach my log files as well. Mythfrontend hangs at the end of a program when the ring buffer gets changed, however in another terminal, I find the new ringbuffer is in place, and can play it with mplayer. Leaving mythfrontend in the hung state, I find that normal program play is actually proceeding, but frontend fails to open the file. At the end of the next program (where frontend is hung), play resumes on the next program. This pattern seems very repeatable. I have a 3.2 GHz Intel P4 with 3 GB of RAM. I have performed the above-mentioned Mysql tuning with no effect. I hope these log files can make some sense of what the problem is.

comment:28 Changed 12 years ago by eric.bosch@…

I will upload my log files tomorrow, as I will have to edit out much of the contents due to maximum size of attachments.

comment:29 Changed 12 years ago by goldwein@…

I think this is the same issue as described in ticket #2335. I too am having the problem, and it seems as if it is related to the ffmpeg resync that was performed at 13655. Ticket #2335 is listed as a "minor" priority, but I am hoping it can be escalated since this is literally a "show stopper" for me that results in significant loss of WAF points :-)

JG

comment:30 Changed 12 years ago by stuartm

Resolution: duplicate
Status: newclosed

Duplicate of #2335

Note: See TracTickets for help on using tickets.